// TESTS: Button callbacks in deeply nested forms

import { Validators } from '@angular/forms';

const model = {
	// field: '',
	// field2: '',
	// dynaformtest: {
	// 	a: '',
	// 	valTest: '',
	// 	b: 'Value 2',
	// 	c: 'Maybe',
	// 	d: {
	// 		e: '',
	// 		f: 555,
	// 		g: {
	// 			h: true,
	// 			i: false
	// 		}
	// 	},
	// 	z: 'THE END'
	// }
};

const meta = {
	buttonGroup: { type: 'buttonGroup', label: 'Button Group',
		meta: [
			{ label: 'Say Hello', fnId: 'SAYHELLO' },
			{ label: 'Say Cheese', fnId: 'SAYCHEESE' }
		]
	},
	dynaformtest: {
		meta: {
			valTest: {
				validators: [ Validators.required, Validators.minLength(4) ],
				// perhaps have some standard messages for standard failures in the Object.prototype ??
				valFailureMessages: {
					'required': 'This field is required',
					'minlength': 'Please type something longer'
				}
			},
			b: { type: 'checkbutton' },
			c: { label: 'Property Three', type: 'radio', options: ['Yes', 'No', 'Maybe'], horizontal: 1 },
			d: {
				meta: {
					e: { type: 'radio', 'label': 'Does it work yet?', validators: Validators.required },
					f: { type: 'datepicker' },
					deeplyNestedButtonGroup: { type: 'buttonGroup', label: 'Deeply Nested Buttons',
						meta: [
							{ label: 'Say Hello', fnId: 'SAYHELLO' },
							{ label: 'Say Cheese', fnId: 'SAYCHEESE' }
						]
					}
				}
			}
		}
	}
};

export { model, meta };
